Subject: Re: bug#27645: MacOS: run GUI Emacs without 'make install'

From: Alan Third <[email-masked]>
Date: Wed, 12 Jul 2017 19:52:35 +0100

On Mon, Jul 10, 2017 at 09:12:14PM +0200, Charles A. Roelli wrote:
> The patch is attached.

I haven’t had a chance to test this, but it looks good, thanks for
working on it.

>  In the top-level directory, use:
>  
> -  ./configure --with-ns
> +  make
>  
> -(On macOS, --with-ns is enabled by default.)
> +This will compile all the files.

I understand that running make also runs configure, but I think it’s
worth leaving configure and the stuff about --with-ns in there. If you
try to build the NS port on anything other than macOS then you really
need to know about --with-ns.

> -This will compile all the files, but emacs will not be able to be run except
> -in -nw (terminal) mode.
> +In order to run Emacs, you must run:
>  
> -In order to run Emacs.app, you must run:
> +  src/emacs
> +
> +In order to install Emacs, you must run:
>  
>    make install

I read this as it’s going to install Emacs somewhere on my PC, it
should probably be something like: ‘To build Emacs.app ...’.

-- 
Alan Third